; TIP1126.LSP: ALIGN.LSP    Move and Align   (c)1995, John R. Johansen

(defun C:ALIGN (/ ANS1 AXP1 AXP2 PT1 PT2 PT3 ST1)
   (prompt "\nAxis will extend beyond points given.")
   (setvar "ORTHOMODE" 1)
   (setq AXP1 (getpoint "\nSelect one point on axis: ")
      AXP2 (getpoint AXP1 "\nSelect second point on axis: ")
   )
   (setq ANG1 (angle AXP1 AXP2)
      ANG2 (+ ANG1 (/ pi 2))
      DST1 (distance AXP1 AXP2)
      ANS1 ""
   )
   (while (equal ANS1 "")
      (setq PT1 (getpoint "\nSelect move from point: "))
      (prompt "\nSelect objects to move: ")
      (setq ST1 (ssget)
         PT2 (polar PT1 ANG2 DST1)
         PT3 (inters AXP1 AXP2 PT1 PT2 nil)
      )
      (command "move" ST1 "" PT1 PT3)
      (setq ANS1 (strcase (getstring "\nContinue? <Yes>/No:")))
      (if (equal ANS1 "Y")(setq ANS1 ""))
   )
   (princ)
); end align.lsp

