; TIP1130.LSP: DIMFIX.LSP   Fix Dimension   (c)1995, Timothy E. Bena

; Works with non-associative dimensions only
(Defun change ()            ;Function for changing Value
   (setq POS2 (+ X 2))      ;set position         
   (setq NUM (substr DIM3 POS2 1))   ;get the number 7, 8 or 9   
   (cond            
      ((= NUM "7")(setq STR2 "%%d")) ;if %%127, set STR2 to %%d
      ((= NUM "8")(setq STR2 "%%p")) ;if %%128, set STR2 to %%p
      ((= NUM "9")(setq STR2 "%%c")) ;if %%129, set STR2 to %%c
   ) ; end cond 
   (setq STR1 (substr DIM3 1 pos))   ;STR1 is all before STR2
   (setq STR3 (substr DIM3 (+ pos 6))) ;STR3 is all after STR2
   (setq DIM3 (strcat STR1 STR2 STR3)) ;string them together
) ; end defun

(Defun C:DIMFIX ()
   (setvar "cmdecho" 0)            
   (setq DIM1 (car (nentsel "\nPick Dimension text or Return to end: ")))  
   (while (/= DIM1 nul)      
      (setq DIM2 (entget DIM1))            
      (setq DIM3 (cdr (assoc 1 Dim2)))   ;get correct string
      (setq SL (strlen DIM3))         ;get string length
      (setq X 1)
      (While (/= SL 0)         ;Start loop
         (setq STR (substr DIM3 X 1))      ;Start looking for %
         (if (= STR "%")         ;If % found
            (progn
               (setq POS (- X 1))      ;set position for STR1 and STR3
               (setq X (+ X 2))         ;set position to see if 1,p,c,d
               (setq STR1 (substr DIM3 X 1))   ;look at that position
               (cond
                  ((= STR1 "1")(CHANGE))   ;if it's 1, CHANGE IT
               ) ; End cond         ;if not, just go on with loop
            ) ; End progn
         ) ; End if
         (setq SL (- SL 1))         ;subtract 1 from counter         
         (setq X (+ X 1))         ;add 1 to position in the string
      ) ; End while                  ;done w/counter
      (setq DIM2 (subst (cons 1 DIM3) (assoc 1 DIM2) DIM2))   ;chng total DIM 
      (entmod DIM2)                  ;update database
      (princ "\nDimension Changed!")            
      (setq DIM1 (car (nentsel "\nPick a DIMENSION or Return to end: ")))   
   ) ; end while                  
   (princ "\nDone Changing Dimensions")            
   (princ)
); end dimfix.lsp

