; TIP1135.LSP: SPLOT.LSP    Automatic Plotting    (c)1995, John Raddon

;; Make sure that your plot settings are correct. i.e
;;     Correct plotter is selected
;;     Plot extents
;;     Plot to a file
;; Dwg's must be in the acad "default" directory ******
;; If using acad for windows "working directory" ******
;; Dircmd must not equal /p ***************************
;; Must add the following lines to acad.pgp file ******

;; ddir, dir *.dwg/b>plot.lst               ,4               
;; nprn, nprint *.plt q="PLOTQUE" nb nff nt ,4 

;; Note: The above line should be modified as required
;; for your printer/network configuration.
;;----------------------------------------------------------;
(defun C:SPLOT (/ SPL PLT NAME)
   (textpage)            
   (princ "\nPlease make sure that your plot configuration is")
   (princ "\nset to the correct defaults.\n")
   (setq LTSCLE (getreal "\nEnter Line Type Scale:"))
   (prompt "Creating plot list. Please wait")
   (setq X 0)              ;Set counter X to 0
   (command "ddir")        ;Creates plot control list(See ACAD.PGP)
   (setq SPL (open "plot.lst" "r")) ;Open plot control list
   (command "ltscale" LTSCLE)
   (setq PLT (read-line SPL))   
   (while  PLT                       
      (setq X (1+ X)                  
      NAME (itoa x))            ;Convert integer to string
      (command "xref" "A" PLT "0,0" "" "" "") ;Xref dwg to be plotted
      (command "zoom" "e")            ;Zoom extents of dwg
      (command "plot" "" "" NAME)     ;Creates plt file
      (command "xref" "d" "*")        ;Detatch Xref dwg 
      (setq PLT (read-line SPL))     
   )                      
   (setq SPL (close SPL)) 
   (command "nprn")       
); end splot.lsp

