; TIP1128.LSP: CEDIT.LSP    Edit Circle Sizes    (c)1995, Lincoln Bauman

(defun C:CEDIT ( / ENT CNT CSET DIA NWDIA LST)
   (defun cedit_err (S)
      (if (/= S "Function cancelled")
      (princ (strcat "Error: " S))  )
      (setq *error* OLD_ERR)
      (setvar "CMDECHO" OLD_CMD)
      (princ)
   )
   (setq OLD_ERR  *error*
      OLD_CMD  (getvar "CMDECHO")
      *error*  CEDIT_ERR
      ENT      nil
   )
   (setvar "CMDECHO" 0)
   (command ".undo" "mark")
   (while (null ENT)
      (setq ENT (car (entsel "\nSelect circle to edit")))
      (if (or
            (null ENT)
            (/=(cdr (assoc 0 (entget ENT))) "CIRCLE")
         )
         (setq ENT (princ "\nPlease select a circle")
            ENT (print)
            ENT nil
         )
      )
   )
   (princ (strcat "\nDiameter: "  
         (rtos (setq DIA (* 2 (cdr (assoc 40 (entget ENT))))))
   ))
   (print)
   (initget 7)
   (setq NWDIA (getreal "\nEnter new diameter: ") 
      CNT   0                                  
      CSET  (ssget                             
         (list '(0 . "CIRCLE")             
            '(-4 . "<AND")
            '(-4 . "<") (cons 40(+(/ DIA 2)0.0005))
            '(-4 . ">") (cons 40(-(/ DIA 2)0.0005))
            '(-4 . "AND>")
         )
      )
   )
   (repeat (if CSET (sslength CSET) 0) 
      (setq LST (entget (ssname CSET CNT)))
      (entmod
         (subst (cons 40 (/ NWDIA 2))(assoc 40 LST) LST)
      )
      (setq CNT (1+ CNT))          
   )
   (princ (strcat "\n" (itoa CNT) " modified"))
   (setvar "cmdecho" OLD_CMD)
   (setq *error* OLD_ERR)
   (print)
   (princ)
); end cedit.lsp
