; TIP1132.LSP: FR.LSP   Full Round    (c)1995, Forbes Dodwell

; puts a full radius on three intersecting lines
(defun rtd (A)(* 180.0 (/ A pi)))
(defun dtr (A)(* pi (/ A 180.0)))
(defun C:FR (/ S1 S2 S3 N1 N2 N3 PT1 PT2 PT3 STPT1 STPT2 STPT3 ENDPT1
   ENDPT2 ENDPT3 LCIRC NCIRC CENPT PT1INT PT2INT PT3INT E1 E3 
   E1SUB E3SUB L1NEW L3NEW RAD ANG1 ANG2 ANG3 HPI PT11 PT22 PT33)
   (setq ECHO  (getvar "cmdecho")
      BLIPS (getvar "blipmode")
   )
   (setvar "cmdecho" 0)
   (setvar "blipmode" 0)
   (prompt "\n<Pick lines either clockwise or counter clockwise> ")(terpri)
   (setq S1  (entsel "\nPick first line:")
      N1  (car S1)
      PT1 (cadr S1)
      S2  (entsel "\nPick second line:")
      N2  (car S2)
      PT2 (cadr S2)
      S3  (entsel "\nPick third line:")
      N3  (car S3)
      PT3 (cadr S3)
   )
   (command ".fillet" "r" "0" ".fillet" PT1 PT2)
   (command ".fillet" PT2 PT3)
   (setq L1  (entget N1)
      L3  (entget N3)
      L2  (entget N2)
   )
   (setq STPT1  (cdr (assoc 10 L1))
      ENDPT1 (cdr (assoc 11 L1))
      STPT2  (cdr (assoc 10 L2))
      ENDPT2 (cdr (assoc 11 L2))
      STPT3  (cdr (assoc 10 L3))
      ENDPT3 (cdr (assoc 11 L3))
   )
   (setvar "osmode" 256)
   (command "circle" "3p" PT1 PT2 PT3)
   (setvar "osmode" 0)

   (setq LCIRC (entget (entlast))
      NCIRC (cdar LCIRC)
      CENPT (cdr (assoc 10 LCIRC))
   )
   (entdel NCIRC)
   (entdel N2)
   (setq HPI    (dtr 90)
      ANG1   (+ (angle STPT1 ENDPT1) HPI)
      ANG2   (+ (angle STPT2 ENDPT2) HPI)
      ANG3   (+ (angle STPT3 ENDPT3) HPI)
      PT11   (polar CENPT ANG1 1)
      PT22   (polar CENPT ANG2 1)
      PT33   (polar CENPT ANG3 1)
      PT1INT (inters CENPT PT11 STPT1 ENDPT1 nil)
      PT2INT (inters CENPT PT22 STPT2 ENDPT2 nil)
      PT3INT (inters CENPT PT33 STPT3 ENDPT3 nil)
   )
   (if (and (= (car ENDPT1)(car ENDPT2))(= (cadr ENDPT1)(cadr ENDPT2)))
      (progn
         (setq E1    (assoc 11 L1)
            E1SUB (cons (car E1) PT1INT)
            L1NEW (subst E1SUB E1 L1)
         )
         (entmod L1NEW)
      )
   )
   (if (and (= (car STPT1)(car ENDPT2))(= (cadr STPT1)(cadr ENDPT2)))
      (progn
         (setq E1    (assoc 10 L1)
            E1SUB (cons (car E1) PT1INT)
            L1NEW (subst E1SUB E1 L1)
         )
         (entmod L1NEW)
      )
   ) 
   (if (and (= (car ENDPT1)(car STPT2))(= (cadr ENDPT1)(cadr STPT2)))
      (progn
         (setq E1    (assoc 11 L1)
            E1SUB (cons (car E1) PT1INT)
            L1NEW (subst E1SUB E1 L1)
         )
         (entmod L1NEW)
      )
   )
   (if (and (= (car STPT1)(car STPT2))(= (cadr STPT1)(cadr STPT2)))
      (progn
         (setq E1    (assoc 10 L1)
            E1SUB (cons (car E1) PT1INT)
            L1NEW (subst E1SUB E1 L1)
         )
         (entmod L1NEW)
      )
   )
   (if (and (= (car ENDPT3)(car ENDPT2))(= (cadr ENDPT3)(cadr ENDPT2)))
      (progn
         (setq E3    (assoc 11 L3)
            E3SUB (cons (car E3) PT3INT)
            L3NEW (subst E3SUB E3 L3)
         )
         (entmod L3NEW)
      )
   )
   (if (and (= (car STPT3)(car ENDPT2))(= (cadr STPT3)(cadr ENDPT2)))
      (progn
         (setq E3    (assoc 10 L3)
            E3SUB (cons (car E3) PT3INT)
            L3NEW (subst E3SUB E3 L3)
         )
         (entmod L3NEW)
      )
   ) 
   (if (and (= (car ENDPT3)(car STPT2))(= (cadr ENDPT3)(cadr STPT2)))
      (progn
         (setq E3    (assoc 11 L3)
            E3SUB (cons (car E3) PT3INT)
            L3NEW (subst E3SUB E3 L3)
         )
         (entmod L3NEW)
      )
   )
   (if (and (= (car STPT3)(car STPT2))(= (cadr STPT3)(cadr STPT2)))
      (progn
         (setq E3    (assoc 10 L3)
            E3SUB (cons (car E3) PT3INT)
            L3NEW (subst E3SUB E3 L3)
         )
         (entmod L3NEW)
      )
   )
   (command "arc" PT1INT PT2INT PT3INT)
   (setvar "blipmode" BLIPS)
   (setvar "cmdecho" ECHO)
   (prin1)
);end fr.lsp
