; TIP1133.LSP: MULL.LSP    Mullions    (c)1995, Jonathan Pruett

;requires mul.dwg
(if (not (tblsearch "BLOCK" "MUL"))(command ".insert" "MUL" "0,0" ^C))
(defun rtd (A)(* 180.0 (/ A pi)))
(defun dtr (A)(* pi (/ A 180.0)))

(defun C:MULL (/ PT1 PT2 SPC A1 A2 D1 P1 P2) 
   (princ "\nBottom left of window for horizontal. Bottom right for verticle.")
   (setq PT1 (getpoint "\n Pick start point ")
      PT2 (getpoint pt1 "\n Pick end point ")
      SPC (getint "\nNumber of windows : ")
      A1  (angle PT1 PT2)
      A2  (angle PT2 PT1)
      PT1 (polar PT1 A1 1)
      PT2 (polar PT2 A2 1)
   )
   (command ".line" PT1 PT2 "" 
      ".line" (polar PT1 (dtr (+ (rtd A1) 90)) 4.5)
      (polar PT2 (dtr (+ (rtd A1) 90)) 4.5) ""
   )
   (if (> SPC 1) (command ".divide" PT1 "b" "mul" "" SPC))
   (command
      ".insert" "mul" PT2 "" "" (rtd A1)
      ".insert" "mul" PT1 "" "" (rtd A1)
   )         
   (setq PT1 (polar PT1 (dtr (+ (rtd A1) 90)) 2.25)
      PT2 (polar PT2 (dtr (+ (rtd A1) 90)) 2.25)
      D1 (- (/ (distance PT1 PT2) SPC) 2)
      P1 (polar PT1 A1 1)
      P2 (polar P1 A1 D1)
   )
   (repeat SPC
      (command ".line" P1 P2 "")
      (setq P1 (polar P2 A1 2)
         P2 (polar P1 A1 D1)
      )      
   )
   (princ)
); end mull.lsp
